package com.elab.mq.model;

import com.aliyun.openservices.ons.api.Message;

/**
 * 消息容器承装实体
 *
 * @author Liukx
 * @create 2018-04-09 18:38
 * @email liukx@elab-plus.com
 **/
public class MessageModel extends Message {


    public MessageModel() {
    }

    public MessageModel(Message message) {
        setKey(message.getKey());
        setMsgID(message.getMsgID());
        setBody(message.getBody());
        setTag(message.getTag());
        setTopic(message.getTopic());
        setBornHost(message.getBornHost());
        setReconsumeTimes(message.getReconsumeTimes());
        setShardingKey(message.getShardingKey());
        setStartDeliverTime(message.getStartDeliverTime());
        setUserProperties(message.getUserProperties());
    }

}
