package com.elab.mq.model;

import com.aliyun.openservices.shade.com.alibaba.rocketmq.common.message.MessageExt;

/**
 * 消息封装实体拓展
 *
 * @author Liukx
 * @create 2018-04-10 20:12
 * @email liukx@elab-plus.com
 **/
public class MessageExtModel extends MessageExt {

    public MessageExtModel(MessageExt ext) {
        setTopic(ext.getTopic());
        setFlag(ext.getFlag());
        setBody(ext.getBody());
        setQueueId(ext.getQueueId());
        setStoreSize(ext.getStoreSize());
        setQueueOffset(ext.getQueueOffset());
        setSysFlag(ext.getSysFlag());
        setBornTimestamp(ext.getBornTimestamp());
        setBornHost(ext.getBornHost());
        setStoreTimestamp(ext.getStoreTimestamp());
        setStoreHost(ext.getStoreHost());
        setMsgId(ext.getMsgId());
        setCommitLogOffset(ext.getCommitLogOffset());
        setBodyCRC(ext.getBodyCRC());
        setReconsumeTimes(ext.getReconsumeTimes());
        setPreparedTransactionOffset(ext.getPreparedTransactionOffset());
    }


}
