package com.elab.mq.msg.adptor;

import com.aliyun.openservices.ons.api.Message;
import com.aliyun.openservices.ons.api.MessageListener;
import com.elab.mq.api.Action;
import com.elab.mq.api.ConsumeContext;
import com.elab.mq.model.MessageModel;

/**
 * 消息监听适配器
 *
 * @author Liukx
 * @create 2018-04-10 19:50
 * @email liukx@elab-plus.com
 **/
public abstract class MessageListenerAdaptor implements MessageListener {

    public abstract Action consume(MessageModel messageModel, ConsumeContext consumeContext);

    @Override
    public final com.aliyun.openservices.ons.api.Action consume(Message message, com.aliyun.openservices.ons.api.ConsumeContext consumeContext) {
        Action consume = consume(new MessageModel(message), new ConsumeContext(consumeContext));
        return Action.getAction(consume);
    }
}
