package com.elab.mq.msg.adptor;

import com.aliyun.openservices.shade.com.alibaba.rocketmq.client.producer.LocalTransactionState;
import com.aliyun.openservices.shade.com.alibaba.rocketmq.client.producer.TransactionCheckListener;
import com.aliyun.openservices.shade.com.alibaba.rocketmq.common.message.MessageExt;
import com.elab.mq.api.transaction.LocalTransactionStateEnum;
import com.elab.mq.model.MessageExtModel;

/**
 * 事务消息监听适配器
 *
 * @author Liukx
 * @create 2018-04-10 20:13
 * @email liukx@elab-plus.com
 **/
public abstract class TransactionCheckListenerAdaptor implements TransactionCheckListener {

    public abstract LocalTransactionStateEnum checkLocalTransactionState(MessageExtModel var1);

    @Override
    public final LocalTransactionState checkLocalTransactionState(MessageExt messageExt) {
        LocalTransactionStateEnum localTransactionStateEnum = checkLocalTransactionState(new MessageExtModel(messageExt));
        return LocalTransactionStateEnum.getAction(localTransactionStateEnum);
    }
}
